Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingViewFromOptions

View an `ISLocalToGlobalMapping` based on values in the options database

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingViewFromOptions(ISLocalToGlobalMapping A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the local to global mapping object

- obj - Optional object that provides the options prefix used for the options database query

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for the available `PetscViewer` and `PetscViewerFormat`

## See Also

Low-level Vector Communication, `PetscViewer`, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingView`, `PetscObjectViewFromOptions()`, `ISLocalToGlobalMappingCreate()`

## Level

intermediate

## Location

src/vec/is/utils/isltog.c

## Examples

src/ksp/ksp/tutorials/ex71.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages